#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Apache
%define		pnam	Htpasswd
Summary:	Manage Unix crypt-style password file
Summary(pl.UTF-8):	Obsługa pliku haseł w stylu uniksowego crypt
Name:		perl-Apache-Htpasswd
Version:	1.9
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ee2ca41f9dd92d7a830a5ba65fcbeef0
URL:		http://search.cpan.org/dist/Apache-Htpasswd/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Crypt-PasswdMD5
BuildRequires:	perl-Digest-SHA1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module comes with a set of methods to use with htaccess password
files. These files (and htaccess) are used to do Basic Authentication
on a web server.

%description -l pl.UTF-8
Ten moduł dostarcza zestaw metod, których można używać z plikami haseł
htaccess. Te pliki (oraz htaccess) są używane do uwierzytelnienia
Basic na serwerze WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Apache-Htpasswd.git;a=log;h=master

* Sat Oct 20 2018 Adam Gołębiowski <adamg@pld-linux.org> c4a9a38
- updated to 1.9

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c32b4
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 0c51f99
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9c73e3d
- converted to UTF-8

* Fri Nov 17 2006 darekr <darekr@pld-linux.org> 26e0734
- added %doc, missing BRs for building with tests bcond

* Tue Jul 25 2006 Jakub Bogusz <qboosh@pld-linux.org> f84615a
- updated md5

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> acc7365
- 1.8, generic URL

* Fri Feb 17 2006 Elan Ruusamäe <glen@pld-linux.org> 98031f1
- 1.7

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 5475192
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> aa6a9c1
- updated to 1.5.8

* Thu Sep 02 2004 misi3k <misi3k@pld-linux.org> ce6eb64
- updated to 1.5.7

* Sat Jun 05 2004 radek <radek@pld-linux.org> 8b3c291
- massive: unfold macros in name/summary & other unifications

* Fri May 07 2004 ankry <ankry@pld-linux.org> c55c1ea
- rel. 3

* Thu May 06 2004 ankry <ankry@pld-linux.org> be6cfb4
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> b8cbdb2
- tests added

* Sat Apr 17 2004 ankry <ankry@pld-linux.org> d87d031
- license fixes

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 25aec2e
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> e9dbc84
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 287c44b
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> cc9fe7f
- massive attack s/pld.org.pl/pld-linux.org/

